<?php
#error_reporting(E_ALL);
#ini_set('display_errors', 1);

$ck_SozkomID=$_COOKIE["ck_SozkomID"];
$user_admin=$_COOKIE["user_admin"];
$jahrgang=$_COOKIE["jahrgang"];

include("kurs/datenbankanbindung.php"); // f&uuml;gt die Datenbankanbindung ein: Sys:\php\includes\kurs\datenbankanbindung.php

$db = dbconnect();
if(!isset($_GET['stud'])){
$query = "SELECT stud.nachname, stud.vorname, stud.Jahrgang, sozkom_kompetenz.Bezeichnung,sozkom_kompetenz.FPRNr, sozkom_kompetenz.ansprechpart
            FROM stud, sozkom_wunsch, sozkom_kompetenz
           WHERE sozkom_wunsch.uid=stud.uid
             AND sozkom_wunsch.id=sozkom_kompetenz.id
             AND stud.Jahrgang=\"$jahrgang\"
             AND stud.durchgefallen != 'Y'
             AND sozkom_wunsch.id = $ck_SozkomID
             AND sozkom_wunsch.Prioritaet=0";
}else{
$uid = $_GET['stud'];
$query = "SELECT stud.nachname, stud.vorname, stud.Jahrgang, sozkom_kompetenz.Bezeichnung,sozkom_kompetenz.FPRNr, sozkom_kompetenz.ansprechpart
            FROM stud, sozkom_wunsch, sozkom_kompetenz
           WHERE sozkom_wunsch.uid=stud.uid
             AND sozkom_wunsch.id=sozkom_kompetenz.id
             AND stud.durchgefallen != 'Y'
             AND stud.uid = '$uid'
             AND sozkom_wunsch.Prioritaet=0";
}
;

$result = $db->query($query)
       or die ("Cannot execute query");

#define('FPDF_FONTPATH','font/');
require('../../prints3/as_utf_class.php');
require_once("../../prints3/table_def.inc");


$pdf= new utfFPDF();




$pagecount = $pdf->setSourceFile("blanko_ludwigsburg.pdf");
#$pagecount = $pdf->setSourceFile("anschreiben/aenderung_praxisstelle.pdf");

$tplidx = $pdf->ImportPage(1);

while ($row = $result->fetch_array()){
  // Definitionen
  $Jahr = $row['Jahrgang'];

  $Jahr2 = $row['Jahrgang'] + 1; //wandelt '04' in '5' umd

  if ($Jahr2 < 10){
  $Jahr2='0'.$Jahr2;  // wenn Jahr2 unter 10 ist eine Prefix 0 anf&uuml;gen, damit es zb. 20'05' gibt
  }


    if($row['Note'] >= "1,0" AND $row['Note'] <="1,5"){$ergebnis="sehr gut";}
    if($row['Note'] >= "1,6" AND $row['Note'] <="2,5"){$ergebnis="gut";}
    if($row['Note'] >= "2,6" AND $row['Note'] <="3,5"){$ergebnis="befriedigend";}
    if($row['Note'] >= "3,6" AND $row['Note'] <="4,0"){$ergebnis="ausreichend";}
    if($row['Note'] >= "4,1" AND $row['Note'] <="5,0"){$ergebnis="nicht ausreichend";}
    


    #$Punkt = "Note";

  // Definitionen Ende
    $pdf->AddPage();
    $pdf->useTemplate($tplidx,0,0,0);





    $pdf->SetFont('ARIAL', 'B', 14);

    $pdf->SetY(96);
    $pdf->Cell(0, 0, $row['vorname'] . ' ' . $row['nachname'], 0, 0, 'C');

    $pdf->SetFont('ARIAL', '', 12);

    $pos = $pdf->GetY()+13;
    $pdf->SetY($pos);
    $pdf->SetX(24);
    $pdf->Cell(160, 0, 'hat im Studienjahr 20' . $Jahr . '/20' . $Jahr2 . ' im Modul Soziale Kompetenzen den Kurs:', 0, 0, 'C');

    $pos = $pdf->GetY()+8;

    $pdf->SetY($pos);
    $pdf->SetX(24);
    $pdf->SetFont('ARIAL', 'B', 12);
    
    $bezeichnung = str_replace("–", "-", $row['Bezeichnung']);
    $pdf->MultiCell(160, 6, $bezeichnung, 0, 'C');
    
    $pos = $pdf->GetY()+35;
    $pdf->SetY($pos);
    $pdf->SetX(24);
    $pdf->MultiCell(160, 0, $row['ansprechpart'], 0, 'C');

  
    $pos = $pdf->GetY()+35;

    $pdf->SetY($pos);
    $pdf->SetX(19);
    $pdf->SetFont('ARIAL', '', 12);
    $pdf->Cell(0, 0, 'Ludwigsburg, ' . date("d.m.Y", time()), 0, 0, 'L');
    $pos = $pdf->GetY()+22;
    $pdf->SetY($pos);
    $pdf->SetX(38);
    

    //$pdf->Image('fusszeile.jpg', 20, 267, 5.1, 12.7);

    $PDF_Name = "Soziale Kompetenz_" . $row['FPRNr'] . '_' . $row['Jahrgang'] . ".pdf";
    $ergebnis = "";
}

$pdf->SetTitle('Soziale Kompetenzscheine');
$pdf->SetAuthor('FH-Ludwigsburg');
// $pdf->SetCreator('SetCreator');
// $pdf->SetSubject('SetSubject');
$pdf->Output($PDF_Name, "D");

?>
